Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456164 (plexus-review) - Review Request: plexus-grpah - Graph data structures manipulation library
Summary: Review Request: plexus-grpah - Graph data structures manipulation library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: plexus-review
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL: http://netbsd.sk/~lkundrak/SPECS/plex...
Whiteboard:
Depends On:
Blocks: mars-sim-review
TreeView+ depends on / blocked
 
Reported: 2008-07-21 20:18 UTC by Lubomir Rintel
Modified: 2008-07-23 07:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 07:54:55 UTC
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-07-21 20:18:05 UTC
SRPM: http://netbsd.sk/~lkundrak/SRPMS/plexus-0.13.1-1.el5.src.rpm
SPEC: http://netbsd.sk/~lkundrak/SPECS/plexus.spec

Description:

Plexus is a Java library with specifications and implementations for
generic graph data structures. Like the Java Collections Framework,
vertices and edges are containers for arbitrary user-defined objects.

Comment 1 Lubomir Rintel 2008-07-21 20:21:24 UTC
Please note that the name collides with another project called plexus that is
already in Fedora. Though there's no package called literally "plexus", there
are "plexus-*" which is enough to cause confusion. I was thinking of
"plexus-graph", but that would seems like it is somehow connected to other
"plexus-*" packages, which does not seem good to me.

I will welcome, and be thankful, for any ideas that may help choose a sane, yet
non-confusing name.

Comment 2 Marek Mahut 2008-07-21 21:51:41 UTC
This package looks same. For me the name is fine, as we have also description
and I don't like to change upstream name (confusion could appear even when
someone's is looking exactly for package "plexus" and does not find it). Other
input is welcome (I've asked on #fedora-devel), but from my side this package is
approved.

Comment 3 Lubomir Rintel 2008-07-22 17:57:20 UTC
So this will be called plexus-graph, thanks to Deepak Bhole to explaining
relations between plexus- projects to me.

New Package CVS Request
=======================
Package Name: plexus-graph
Short Description: Graph data structures manipulation library
Owners: lkundrak
Branches: F-9 EL-5
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-07-23 03:04:04 UTC
cvs done.

Comment 5 Lubomir Rintel 2008-07-23 07:54:55 UTC
Premium CVS imported lager.
and built.


Note You need to log in before you can comment on or make changes to this bug.